## org.mortbay.cometd.continuation
Class ContinuationBayeux

    java.lang.Object
      org.mortbay.cometd.MessagePool
          org.mortbay.cometd.AbstractBayeux
              org.mortbay.cometd.continuation.ContinuationBayeux

All Implemented Interfaces:
  org.cometd.Bayeux

    public class ContinuationBayeux

extends AbstractBayeux

Extension of Bayeux that uses `ContinuationClient`s.

Author:
  gregw

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.cometd.AbstractBayeux
`AbstractBayeux.ConnectHandler, AbstractBayeux.DefaultPolicy, AbstractBayeux.DisconnectHandler, AbstractBayeux.Handler, AbstractBayeux.HandshakeHandler, AbstractBayeux.MetaPublishHandler, AbstractBayeux.PingHandler, AbstractBayeux.PublishHandler, AbstractBayeux.ServiceChannel, AbstractBayeux.SubscribeHandler, AbstractBayeux.UnsubscribeHandler`

Field Summary

Fields inherited from class org.mortbay.cometd.AbstractBayeux

`_advice, _adviceVersion, _browser2client, _channelListeners, _clientListeners, _directDeliver, _extensions, _handshakeAdvice, _initialized, _interval, _JSONCommented, _logLevel, _maxClientQueue, _maxInterval, _metaPublishHandler, _multiFrameAdvice, _multiFrameInterval, _publishHandler, _request, _requestAvailable, _securityPolicy, _transports, META_CLIENT_ID, META_CONNECT_ID, META_DISCONNECT_ID, META_HANDSHAKE_ID, META_ID, META_PING_ID, META_STATUS_ID, META_SUBSCRIBE_ID, META_UNSUBSCRIBE_ID`

Fields inherited from interface org.cometd.Bayeux

`ADVICE_FIELD, CHANNEL_FIELD, CLIENT_FIELD, CONNECTION_TYPE_FIELD, DATA_FIELD, DOJOX_COMETD_BAYEUX, ERROR_FIELD, EXT_FIELD, HANDSHAKE_RESPONSE, ID_FIELD, INTERVAL_FIELD, JSON_COMMENT_FILTERED_FIELD, JSON_CONTENT_TYPE, JSONP_DEFAULT_NAME, JSONP_PARAMETER, MESSAGE_PARAMETER, META, META_CLIENT, META_CONNECT, META_DISCONNECT, META_HANDSHAKE, META_PING, META_SLASH, META_STATUS, META_SUBSCRIBE, META_UNSUBSCRIBE, MIN_VERSION_FIELD, NONE_RESPONSE, RECONNECT_FIELD, RETRY_RESPONSE, SERVICE, SERVICE_SLASH, SUBSCRIPTION_FIELD, SUCCESSFUL_FIELD, SUPP_CONNECTION_TYPE_FIELD, TIMESTAMP_FIELD, TRANSPORT_CALLBACK_POLL, TRANSPORT_FIELD, TRANSPORT_FLASH, TRANSPORT_IFRAME, TRANSPORT_LONG_POLL, VERSION_FIELD`

Constructor Summary
`ContinuationBayeux()`

Method Summary
`void` `cancelTimeout(Timeout.Task timeout)`
`void` `destroy()`
`protected void` `initialize(ServletContext context)`
`ClientImpl` `newRemoteClient()`
`void` `setMaxInterval(long ms)`

Methods inherited from class org.mortbay.cometd.AbstractBayeux

`addChannel, addClient, addExtension, addListener, doPublish, getAdvice, getChannel, getChannel, getChannel, getChannelCount, getChannelId, getChannels, getClient, getClientCount, getClientIDs, getClients, getCurrentRequest, getExtensions, getInterval, getLogLevel, getMaxClientQueue, getMaxInterval, getMultiFrameInterval, getSecurityPolicy, getTimeout, handle, hasChannel, hasClient, isDirectDeliver, isInitialized, isJSONCommented, isLogDebug, isLogInfo, isRequestAvailable, logDebug, logDebug, logInfo, logWarn, logWarn, newClient, newClientId, newTransport, removeChannel, removeChannel, removeClient, removeExtension, setAdvice, setDirectDeliver, setInterval, setJSONCommented, setLogLevel, setMaxClientQueue, setMultiFrameInterval, setRequestAvailable, setSecurityPolicy, setTimeout`

Methods inherited from class org.mortbay.cometd.MessagePool
`getBatchJSON, getJSON, getMsgJSON, newMessage, newMessage, parse, parse, parseTo, recycleMessage, setBatchJSON, setJSON, setMsgJSON`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContinuationBayeux

    public ContinuationBayeux()

Method Detail

### newRemoteClient

    public ClientImpl newRemoteClient()

  Specified by:
    `newRemoteClient` in class `AbstractBayeux`

### initialize

    protected void initialize(ServletContext context)

  Overrides:
    `initialize` in class `AbstractBayeux`

### setMaxInterval

    public void setMaxInterval(long ms)

  Overrides:
    `setMaxInterval` in class `AbstractBayeux`
  Parameters:
    `ms` - The maximum time in ms to wait between polls before timing out a client

### destroy

    public void destroy()

### cancelTimeout

    public void cancelTimeout(Timeout.Task timeout)

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.